This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250439 - [abrt] bodhi-client: adapters.py:415:send:ConnectionError: ('Connection aborted.', gaierror(-5, 'No address associated with hostname'))
[abrt] bodhi-client: adapters.py:415:send:ConnectionError: ('Connection abort...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:38f29adc65f97f2ac2dc01242ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 07:14 EDT by gil cattaneo
Modified: 2016-09-19 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.89 KB, text/plain)
2015-08-05 07:14 EDT, gil cattaneo
no flags Details
File: dso_list (69 bytes, text/plain)
2015-08-05 07:14 EDT, gil cattaneo
no flags Details
File: environ (3.37 KB, text/plain)
2015-08-05 07:14 EDT, gil cattaneo
no flags Details

  None (edit)
Description gil cattaneo 2015-08-05 07:14:27 EDT
Version-Release number of selected component:
bodhi-client-0.9.12.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python2 -tt /bin/bodhi -R stable truezip-7.7.5-7.fc22
executable:     /bin/bodhi
kernel:         4.1.3-200.fc22.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
adapters.py:415:send:ConnectionError: ('Connection aborted.', gaierror(-5, 'No address associated with hostname'))

Traceback (most recent call last):
  File "/bin/bodhi", line 532, in <module>
    main()
  File "/bin/bodhi", line 268, in main
    data = bodhi.request(update=args[0], request=opts.request)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 159, in request
    'action': request,
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 379, in send_request
    auth_params=auth_params, retries=retries, timeout=timeout)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 414, in send_request
    timeout=timeout,
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 109, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 50, in request
    response = session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 465, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 573, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 415, in send
    raise ConnectionError(err, request=request)
ConnectionError: ('Connection aborted.', gaierror(-5, 'No address associated with hostname'))

Local variables in innermost frame:
chunked: False
stream: False
err: ProtocolError('Connection aborted.', gaierror(-5, 'No address associated with hostname'))
url: '/updates/request'
verify: True
self: <requests.adapters.HTTPAdapter object at 0xb65d8cec>
request: <PreparedRequest [POST]>
cert: None
timeout: <requests.packages.urllib3.util.timeout.Timeout object at 0xb65f774c>
proxies: {}
conn: <requests.packages.urllib3.connectionpool.HTTPSConnectionPool object at 0xb65f77ac>
Comment 1 gil cattaneo 2015-08-05 07:14:33 EDT
Created attachment 1059431 [details]
File: backtrace
Comment 2 gil cattaneo 2015-08-05 07:14:39 EDT
Created attachment 1059432 [details]
File: dso_list
Comment 3 gil cattaneo 2015-08-05 07:14:41 EDT
Created attachment 1059433 [details]
File: environ
Comment 4 Fedora End Of Life 2016-07-19 13:21:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.